﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl"
>
  <xsl:output method="html" indent="yes"/>

  <xsl:template match="/todos">
    <html>
      <title>Todos</title>
      <head>
        <link rel="stylesheet" type="text/css" href="/Content/Site.css" />
      </head>

      <h2>List of Todos</h2>
      <div id="wrapper">
        <xsl:for-each select="todo">
          <div>
            <p>
              <span class="title">Id: </span>
              <span class="content">
                <xsl:value-of select="@id"/>
              </span>
            </p>
            <p>
              <span class="title">Description: </span>
              <span class="content">
                <xsl:value-of select="@desc"/>
              </span>
            </p>
            <p>
              <span class="title">Priority: </span>
              <span class="content">
                <xsl:value-of select="@priority"/>
              </span>
            </p>
            <p>
              <span class="title">Target: </span>
              <span class="content">
                <xsl:value-of select="@target"/>
              </span>
            </p>
            <p>
              <span class="title">Created: </span>
              <span class="content">
                <xsl:value-of select="@created"/>
              </span>
            </p>
          </div>
        </xsl:for-each>
      </div>
    </html>
  </xsl:template>

</xsl:stylesheet>
